# List devices with their credential and last read outcome, and the credentials the topology uses

Canonical: https://docs.shumoku.dev/ja/server/next/api/getTopologiesByIdDevices
Language: ja
Server documentation version: next
Product version: 0.3.0-beta.2
Channel: development

このドキュメントは開発中のServerを対象としています。

Shumoku Server API · 0.3.0-beta.2 · Devices

# List devices with their credential and last read outcome, and the credentials the topology uses

[OpenAPIソース](https://github.com/konoe-akitoshi/shumoku/blob/20492b00ee57d7db79ee0ac7f795122308a7c80e/apps/server/api/openapi.json)

APIの説明は英語のOpenAPI canonical sourceを表示しています。

```
GET /api/topologies/{id}/devices
```

## 認証

sessionCookie / bearerAuth

## レスポンス

| ステータス | 説明 | スキーマ |
| --- | --- | --- |
| `200` | Devices | `Devices` |
| `400` | The request did not match the API contract | `Error` |
| `404` | Topology or credential not found | `Error` |
| `409` | Conflict | `Error` |
| `500` | Device operation failed | `Error` |

[`apps/server/api/openapi.json`](https://github.com/konoe-akitoshi/shumoku/blob/20492b00ee57d7db79ee0ac7f795122308a7c80e/apps/server/api/openapi.json)
